<template>
	<appResult>
<!--		<button class="admin-button-com blue big" @click="gotoOrderDetails">发货详情</button>-->
		<button class="admin-button-com blue big" @click="gotoOrderSend">发货</button>

<!--		<button class="admin-button-com big" @click="gotoOrderPrint">打印单据</button>-->
		<button class="admin-button-com big" @click="gotoOrderDetails">订单详情</button>
		<button class="admin-button-com big" @click="gotoOrderList">订单列表</button>
		<button class="admin-button-com big" @click="gotoPlace">继续开单</button>
	</appResult>
</template>

<script>
import appResult from "@/components/app-result";
export default {
	name: "BillingResult", // 开单结果
	components: {
		appResult
	},
	methods: {
		gotoOrderSend(){
			uni.navigateTo({url: `/pagesOrder/ship?id=${this.option.orderId}`});
		},
		gotoOrderDetails() {
			uni.navigateTo({url: `/pagesOrder/detail?id=${this.option.orderId}`});
			// uni.navigateTo({
			// 	url: `/admin/order/detail?id=${this.option.orderId}`,
			// 	success: result => {},
			// 	fail: () => {},
			// 	complete: () => {}
			// });
		},
		gotoPlace() {
			uni.navigateBack({
				delta: 1
			});
		},
		gotoOrderPrint() {
			uni.navigateTo({
				url: `/admin/order/print?id=${this.option.orderId}`,
				success: result => {},
				fail: () => {},
				complete: () => {}
			});
		},
		gotoOrderList() {
			this.$util.pageTo({
					url: "/admin/home/order",
					type: 4,
					query: {
						tabIndex: 0
					},
				});
		}
	}
};
</script>

<style lang="scss" scoped>
.admin-button-com {
	margin-bottom: 20px;
	width: 100%;
}
</style>
